<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMobilityProfileReq StructType
 * @subpackage Structs
 */
class AddMobilityProfileReq extends APIRequest
{
    /**
     * The mobilityProfile
     * @var XMobilityProfile
     */
    public $mobilityProfile;
    /**
     * Constructor method for AddMobilityProfileReq
     * @uses AddMobilityProfileReq::setMobilityProfile()
     * @param XMobilityProfile $mobilityProfile
     */
    public function __construct(XMobilityProfile $mobilityProfile = null)
    {
        $this
            ->setMobilityProfile($mobilityProfile);
    }
    /**
     * Get mobilityProfile value
     * @return XMobilityProfile|null
     */
    public function getMobilityProfile()
    {
        return $this->mobilityProfile;
    }
    /**
     * Set mobilityProfile value
     * @param XMobilityProfile $mobilityProfile
     * @return AddMobilityProfileReq
     */
    public function setMobilityProfile(XMobilityProfile $mobilityProfile = null)
    {
        $this->mobilityProfile = $mobilityProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMobilityProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
